GROMACS - Bug #1339

Center of mass drift with Nose-Hoover, MTTK and md-vv
09/19/2013 10:20 PM - ABolfazl Noorjahan

Status: New

Priority: Normal

Assignee: Michael Shirts

Category: mdrun

Target version: future

Affected version - Difficulty: uncategorized
extra info:

Affected version: 4.6

Description

Simulation of single long polymer chain shows huge center of mass drift during microsecond simulation.

The very same system has been simulated with md integrator and nose-hoover and parrinello-rahman with identical settings and no
significant drift has been detected.

Here | have attached the simulation files and the architecture used for running simulation. The plot of the center of mass velocity is
larger than 10 mb, so | could not attach it.

I have seen your discussion in bug#165, so thought yo might be interested in this one too.

Related issues:
Related to GROMACS - Feature #1137: Proposal for integrator framework (do_md)... New

History

#1 - 09/19/2013 10:22 PM - ABolfazl Noorjahan
- File topol.top added

| am attaching the topol.top file in case if you need it.

#2 - 09/20/2013 05:04 PM - David van der Spoel

Is it center of mass of the whole system? That is, is the box changing shape?

#3 - 09/20/2013 08:07 PM - Szilard Pall
Have you tried 4.6.3?

#4 - 09/20/2013 09:38 PM - ABolfazl Noorjahan

Yes, the center of mass of the whole system (which is a polymer chain with 400 monomer) is drifting. The box shape stays cubic and with a bit
oscillation due to pressure control (The density is constant with correct value for polymer chain at all specified temperatures.).

| did simulations with 4.6 on a cluster and the only version available was 4.6 and below. If you think that may cause problem | can request an upgrade
and repeat the calculations.

#5 - 09/21/2013 01:32 AM - Michael Shirts
What's the shortest time scale over which it is statistically significant?
ABolfazl Noorjahan wrote:

Yes, the center of mass of the whole system (which is a polymer chain with 400 monomer) is drifting. The box shape stays cubic and with a bit
oscillation due to pressure control (The density is constant with correct value for polymer chain at all specified temperatures.).

| did simulations with 4.6 on a cluster and the only version available was 4.6 and below. If you think that may cause problem | can request an
upgrade and repeat the calculations.

#6 - 09/21/2013 02:09 AM - ABolfazl Noorjahan
- File 1.ps added
- File 2.ps added
- File 3.ps added

Here | am attaching the Velocity of center of mass during time. | tried to zoom in to see the time scale on which the diversion starts.

#7 - 09/21/2013 08:50 AM - David van der Spoel

Is your molecule cyclic?
#8 - 10/06/2013 05:02 AM - Michael Shirts
David van der Spoel wrote:
Is your molecule cyclic?
It's a single polyethylene chain. I'm not sure what to make of that, other than perhaps something odd might happen with temperature groups. Note
that it's using h-bonds, not all bonds.
Currently, it looks like an abrupt 1 nm vdw cutoff, which could give artifacts.
I'd like to see it run with (and | am trying a short version of this now).
nstcalctcoupl = 1
nstcalpcoupl = 1
nstcalcenergy = 1
nstcomm =1
To remove any weird issues with properties being calculated only every N steps.

#9 - 10/06/2013 06:15 AM - Michael Shirts

| started running this but realized that it may take a rather long time to check this -- it's running on my laptop at 2 ns/day, and it's not clear the issues
would really be distinguishable for 1-2 days. Error cases that can be distinguished are usually better. . .

So far (20-30 ps in), it appears that the COM velocities are about 10x times larger for md-vv, using nstcomm = 100. For md/pr, it's down at 5*10-6,
while for md-vv, it's more like 510-5, occasionally 1210-4. This seems somewhat suspicious. I'll keep investigating.

#10 - 10/06/2013 06:52 AM - Michael Shirts

Interestingly, it seems to be happening when nstcomm = 1 as well, and also when MTTK is off. [f it's just that it's outputting the velocities at a
different place in the loop, then that's not a big deal. I'll let it go overnight and see if the drift continues, and investigate the code further.

#11 - 05/22/2014 07:06 PM - Erik Lindahl
- Assignee changed from David van der Spoel to Michael Shirts

- Target version changed from 4.6.x to 5.x

#12 - 06/18/2015 08:53 PM - Erik Lindahl

- Target version changed from 5.x to future

Any update on the investigation? ;-)

#13 - 03/06/2018 11:09 PM - Mark Abraham
- Related to Feature #1137: Proposal for integrator framework (do_md) in future GROMACS added

Files

md.mdp 764 Bytes 09/19/2013 ABolfazl Noorjahan
run.pbs 738 Bytes 09/19/2013 ABolfazl Noorjahan
md.gro 162 KB 09/19/2013 ABolfazl Noorjahan
topol.top 719 KB 09/19/2013 ABolfazl Noorjahan
1.ps 335 KB 09/21/2013 ABolfazl Noorjahan
2.ps 569 KB 09/21/2013 ABolfazl Noorjahan
3.ps 348 KB 09/21/2013 ABolfazl Noorjahan
